Get a user by id
Requires the USER.MORTAL.VIEW permission.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
version
version
resourceId
The ID of the resource to be requested.
Headers
x-platform-id
Platform ID.
Response
OK
username
The email of the user
object_type
id
The id of the user
entity_id
The entity id of the entity that this user belongs to
created_at
The date when this user was created
status
Indicates whether the user is active
Allowed values:
password
The password of the user. Should have a minimum of 8 characters, of which one is a number and one is a capital letter
invite_expired
Indicates whether the invite sent to the user is expired
activeDeprecated
Indicates whether the user is active
account_membershipsDeprecated
The account memberships that this user has
team_membershipsDeprecated
The team memberships that this user has
Errors
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error